mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object Use BitConverter class to work with binary representations of value types. This class returns a value type from an array of bytes or an array of bytes that is the binary representation of a value type. This lets you work with streams of bytes that are binary representations of value types, for example a file or a socket. The class also has a Field () that indicates wherever the CPU is Little Endian or not.

In this example we convert the number 3516 (0x0DBC in hexadecimal) from binary to . This code works only in a Little Endian Machine. If your Machine is Big Endian, change the indexs of the data . `public class TestBitConverter { public static void Main() { // The hexadecimal representation of the number 3516 is 0x0DBC byte[] data = new byte[2]; data[0] = 0xBC; // Little Endian Machine data[1] = 0x0D; short num = System.BitConverter.ToInt16(data, 0); System.Console.WriteLine("LittleEndian: {0}", System.BitConverter.IsLittleEndian? "yes" : "no" ); System.Console.WriteLine("Number: {0}", num); } }` The output is: `LittleEndian: yes Number: 3516`

- Method
  System.Int64 `` To be added: an object of type 'double' To be added To be added: an object of type 'long' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 1 byte (true: 1, false: 0) 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 2 bytes (16-bit Unicode character, see ) 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 8 bytes (64-bit double-precision floating-point number, see ) 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 2 bytes (16-bits signed integer, see ) 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 4 bytes (32-bits signed integer, see ) 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 8 bytes (64-bits signed integer, see ) 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 4 bytes (32-bit single-precision floating-point number, see ) 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 2 bytes (16-bits unsigned integer, see ) 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 4 bytes (32-bits unsigned integer, see ) 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Byte[] `` The value to convert in binary data Returns the binary representation of the value The binary representation of the value as an of bytes Returns 8 bytes (64-bits unsigned integer, see ) 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Double `` To be added: an object of type 'long' To be added To be added: an object of type 'double' To be added 1.0.5000.0 2.0.0.0
- Field
  System.Boolean Get the Endianess of the Machine. True for Little Endian Machine (least significant byte will be at position 0). 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added: an object of type 'byte []' A containing the index from which to start the conversion. Returns the value from a given byte To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Char `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'char' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Double `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'double' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int16 `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'short' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'long' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Single `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'float' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added: an object of type 'byte []' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.UInt16 `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'ushort' To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'uint' To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added To be added: an object of type 'ulong' To be added 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)